package br.com.smooph.launcher;


public enum Version
{
	v152("1.5.2", "1.5.2", "data/CraftLandia 1.5.2", "launcher.jar"),
	v152_C("1.5.2", "1.5.2_WP", "data/CraftLandia 1.5.2 - Titans", "launcher_wp.jar"),
	v172("1.7.2", "1.7.2", "data/CraftLandia 1.7.2", "launcher.jar"),
	v172_C("1.7.2", "1.7.2_WP", "data/CraftLandia Minigames", "launcher_wp.jar"),
	v172_P("1.7.2", "1.7.2_P", "data/CraftLandia Premium", "launcher_p.jar"),
	v180("1.8.4", "1.8", "data/CraftLandia 1.8", "launcher.jar");
	
	private String versionName;
	private String datName;
	private String dirName;
	private String launcherName;
	
	private Version(String versionName, String datName, String dirName, String launcherName)
	{
		this.versionName = versionName;
		this.datName = datName;
		this.dirName = dirName;
		this.launcherName = launcherName;
	}

	
	public String getVersionName()
	{
		return versionName;
	}

	
	public String getDatName()
	{
		return datName;
	}

	
	public String getDirName()
	{
		return dirName;
	}

	
	public String getLauncherName()
	{
		return launcherName;
	}
}
