package br.com.smooph.launcher;


import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JLabel;


final class ButtonMouseListener implements MouseListener
{
	
	private final JLabel jLabel;
	private final String text;
	
	ButtonMouseListener(JLabel jLabel, String text)
	{
		this.jLabel = jLabel;
		this.text = text;
	}
	
	public final void mouseReleased(MouseEvent mouseEvent)
	{
	}
	
	public final void mousePressed(MouseEvent mouseEvent)
	{
	}
	
	public final void mouseExited(MouseEvent mouseEvent)
	{
		this.jLabel.setText("");
	}
	
	public final void mouseEntered(MouseEvent mouseEvent)
	{
		this.jLabel.setText(text);
	}
	
	public final void mouseClicked(MouseEvent mouseEvent)
	{
	}
}
