package br.com.smooph.launcher;


import java.awt.EventQueue;
import java.util.logging.Level;
import java.util.logging.Logger;

import javax.swing.UIManager;
import javax.swing.UIManager.LookAndFeelInfo;
import javax.swing.UnsupportedLookAndFeelException;


public class Main
{
	
	
	public static void main(String[] args)
	{
		try
		{
			for(LookAndFeelInfo lookAndFeelInfo : UIManager.getInstalledLookAndFeels())
			{
				if(!"Windows".equals(lookAndFeelInfo.getName()))
				{
					continue;
				}
				UIManager.setLookAndFeel(lookAndFeelInfo.getClassName());
				break;
			}
		}
		catch(ClassNotFoundException e)
		{
			Logger.getLogger(Window.class.getName()).log(Level.SEVERE, null, e);
		}
		catch(InstantiationException e)
		{
			Logger.getLogger(Window.class.getName()).log(Level.SEVERE, null, e);
		}
		catch(IllegalAccessException e)
		{
			Logger.getLogger(Window.class.getName()).log(Level.SEVERE, null, e);
		}
		catch(UnsupportedLookAndFeelException e)
		{
			Logger.getLogger(Window.class.getName()).log(Level.SEVERE, null, e);
		}
		
		EventQueue.invokeLater(new Runnable()
		{
			
			public void run()
			{
				new Window();
			}
		});
	}
	
}
